from typing import (
    List,
    Optional,
)

from cfgtools._Key import Key


class Group(object):

    name: str = ""
    keys: List[Key] = []

    def __init__(
        self,
        name: str,
        keys: Optional[List[Key]] = None,
    ) -> None:

        self.name = name
        self.keys = keys or []
